%define upstream_name    HTML-Scrubber
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 6

Summary:    Perl extension for scrubbing/sanitizing html 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Scrubber-0.11-CVE-2015-5667.patch

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(vars)
BuildArch:  noarch

%description
If you wanna "scrub" or "sanitize" html input in a reliable and flexible 
fashion, then this perl module is for you.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{perl_vendorlib}/HTML
%{_mandir}/man3/*


%changelog
* Sat Dec 12 2015 sander85 <sander85> 0.110.0-6.1.mga5
+ Revision: 909712
- Fix CVE-2015-5667

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 788389
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 738785
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.110.0-4.mga5
+ Revision: 727604
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 684957
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 542073
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 496941
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 03 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80082
- update to 0.09

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 11902
- imported package perl-HTML-Scrubber

